curl --request GET \
--url https://api.home.datanumia.com/api/v2/sites/{site-id}/similar-home-yearly-gas-comparisonsimport requests
url = "https://api.home.datanumia.com/api/v2/sites/{site-id}/similar-home-yearly-gas-comparisons"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.home.datanumia.com/api/v2/sites/{site-id}/similar-home-yearly-gas-comparisons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.home.datanumia.com/api/v2/sites/{site-id}/similar-home-yearly-gas-comparisons",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.home.datanumia.com/api/v2/sites/{site-id}/similar-home-yearly-gas-comparisons"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.home.datanumia.com/api/v2/sites/{site-id}/similar-home-yearly-gas-comparisons")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.home.datanumia.com/api/v2/sites/{site-id}/similar-home-yearly-gas-comparisons")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"year": 2021,
"beginMonth": "2021-01",
"endMonth": "2021-08",
"energies": {},
"percentComparison": {
"SH_AVERAGE_CONSUMING": -62
},
"costs": {},
"fromDate": "2021-01-01",
"toDate": "2021-02-15",
"comparisonCriteria": {
"SURFACE_INSQ_METER": "80_OR_MORE",
"HOUSING_TYPE": "APPARTEMENT",
"RESIDENCE_TYPE": "Pas_Secondaire",
"DEPARTMENT": "75",
"PRINCIPAL_HEATING_SYSTEM_TYPE": "GAZ",
"CLIMATE_ZONE": "H1"
}
}
]{
"errorCode": "YEARS_MANDATORY",
"errorDescription": "The year is mandatory."
}This response has no body data.This response has no body data.This response has no body data.Comparison of the annual gaz consumption of similar households
This service returns the comparison of the annual consumption in kWh of a given site compared to its average similar households and the lowest consumers.
curl --request GET \
--url https://api.home.datanumia.com/api/v2/sites/{site-id}/similar-home-yearly-gas-comparisonsimport requests
url = "https://api.home.datanumia.com/api/v2/sites/{site-id}/similar-home-yearly-gas-comparisons"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.home.datanumia.com/api/v2/sites/{site-id}/similar-home-yearly-gas-comparisons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.home.datanumia.com/api/v2/sites/{site-id}/similar-home-yearly-gas-comparisons",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.home.datanumia.com/api/v2/sites/{site-id}/similar-home-yearly-gas-comparisons"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.home.datanumia.com/api/v2/sites/{site-id}/similar-home-yearly-gas-comparisons")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.home.datanumia.com/api/v2/sites/{site-id}/similar-home-yearly-gas-comparisons")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"year": 2021,
"beginMonth": "2021-01",
"endMonth": "2021-08",
"energies": {},
"percentComparison": {
"SH_AVERAGE_CONSUMING": -62
},
"costs": {},
"fromDate": "2021-01-01",
"toDate": "2021-02-15",
"comparisonCriteria": {
"SURFACE_INSQ_METER": "80_OR_MORE",
"HOUSING_TYPE": "APPARTEMENT",
"RESIDENCE_TYPE": "Pas_Secondaire",
"DEPARTMENT": "75",
"PRINCIPAL_HEATING_SYSTEM_TYPE": "GAZ",
"CLIMATE_ZONE": "H1"
}
}
]{
"errorCode": "YEARS_MANDATORY",
"errorDescription": "The year is mandatory."
}This response has no body data.This response has no body data.This response has no body data.Path Parameters
Site identifier
Query Parameters
Year of the beginning of the comparison
Response
Successful response
Year on which the comparison was made. format YYYY.
2021
Month of the beginning of the comparison. format YYYY-MM.
"2021-01"
Month (included) of the end of the comparison on the year. format YYYY-MM.
"2021-08"
The yearly consumption power comparison (in KWh) between the site and the similar households
Show child attributes
Show child attributes
Show child attributes
Show child attributes
{ "SH_AVERAGE_CONSUMING": -62 }
The yearly consumption cost comparison between the site and the similar households
Show child attributes
Show child attributes
begin date of the comparison (format YYYY-MM-JJ)
"2021-01-01"
end date of the comparison (the date is included, format YYYY-MM-JJ)
"2021-02-15"
Map of the criteria used in comparison
Show child attributes
Show child attributes
{ "SURFACE_INSQ_METER": "80_OR_MORE", "HOUSING_TYPE": "APPARTEMENT", "RESIDENCE_TYPE": "Pas_Secondaire", "DEPARTMENT": "75", "PRINCIPAL_HEATING_SYSTEM_TYPE": "GAZ", "CLIMATE_ZONE": "H1" }